$.jqplot.CanvasOverlay
Summary

$.jqplot.CanvasOverlay |
Properties |
objects |
Line | A straight line.
Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
start | [x, y] coordinates for the start of the line.
stop | [x, y] coordinates for the end of the line.
HorizontalLine | A straight horizontal line.
Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
y | y value to position the line
xmin | x value for the start of the line, null to scale to axis min.
xmax | x value for the end of the line, null to scale to axis max.
DashedHorizontalLine | A straight dashed horizontal line.
Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
dashPattern | Array of line, space settings in pixels.
VerticalLine | A straight vertical line.
Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
DashedVerticalLine | A straight dashed vertical line.
Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
dashPattern | Array of line, space settings in pixels.

### Properties

### objects

> this.objects = []

## Line

A straight line.

Summary

Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
start | [x, y] coordinates for the start of the line.
stop | [x, y] coordinates for the end of the line.

### Properties

### name

Optional name for this overlay object. Can be later used to retrieve the object by name.

### show

true to show (draw), false to not draw.

### lineWidth

Width of the line.

### lineCap

Type of ending placed on the line [‘round’, ‘butt’, ‘square’]

### color

color of the line

### shadow

wether or not to draw a shadow on the line

### shadowAngle

Shadow angle in degrees

### shadowOffset

Shadow offset from line in pixels

### shadowDepth

Number of times shadow is stroked, each stroke offset shadowOffset from the last.

### shadowAlpha

Alpha channel transparency of shadow. 0 = transparent.

### xaxis

X axis to use for positioning/scaling the line.

### yaxis

Y axis to use for positioning/scaling the line.

### start

[x, y] coordinates for the start of the line.

### stop

> stop: [] }

[x, y] coordinates for the end of the line.

## HorizontalLine

A straight horizontal line.

Summary

Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
y | y value to position the line
xmin | x value for the start of the line, null to scale to axis min.
xmax | x value for the end of the line, null to scale to axis max.

### Properties

### name

Optional name for this overlay object. Can be later used to retrieve the object by name.

### show

true to show (draw), false to not draw.

### lineWidth

Width of the line.

### lineCap

Type of ending placed on the line [‘round’, ‘butt’, ‘square’]

### color

color of the line

### shadow

wether or not to draw a shadow on the line

### shadowAngle

Shadow angle in degrees

### shadowOffset

Shadow offset from line in pixels

### shadowDepth

Number of times shadow is stroked, each stroke offset shadowOffset from the last.

### shadowAlpha

Alpha channel transparency of shadow. 0 = transparent.

### xaxis

X axis to use for positioning/scaling the line.

### yaxis

Y axis to use for positioning/scaling the line.

### y

y value to position the line

### xmin

x value for the start of the line, null to scale to axis min.

### xmax

x value for the end of the line, null to scale to axis max.

## DashedHorizontalLine

A straight dashed horizontal line.

Summary

Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
dashPattern | Array of line, space settings in pixels.

### Properties

### name

Optional name for this overlay object. Can be later used to retrieve the object by name.

### show

true to show (draw), false to not draw.

### lineWidth

Width of the line.

### lineCap

Type of ending placed on the line [‘round’, ‘butt’, ‘square’]

### color

color of the line

### shadow

wether or not to draw a shadow on the line

### shadowAngle

Shadow angle in degrees

### shadowOffset

Shadow offset from line in pixels

### shadowDepth

Number of times shadow is stroked, each stroke offset shadowOffset from the last.

### shadowAlpha

Alpha channel transparency of shadow. 0 = transparent.

### xaxis

X axis to use for positioning/scaling the line.

### yaxis

Y axis to use for positioning/scaling the line.

### dashPattern

> dashPattern: [8,8] }

Array of line, space settings in pixels. Default is 8 pixel of line, 8 pixel of space. Note, limit to a 2 element array b/c of bug with higher order arrays.

## VerticalLine

A straight vertical line.

Summary

Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.

### Properties

### name

Optional name for this overlay object. Can be later used to retrieve the object by name.

### show

true to show (draw), false to not draw.

### lineWidth

Width of the line.

### lineCap

Type of ending placed on the line [‘round’, ‘butt’, ‘square’]

### color

color of the line

### shadow

wether or not to draw a shadow on the line

### shadowAngle

Shadow angle in degrees

### shadowOffset

Shadow offset from line in pixels

### shadowDepth

Number of times shadow is stroked, each stroke offset shadowOffset from the last.

### shadowAlpha

Alpha channel transparency of shadow. 0 = transparent.

### xaxis

X axis to use for positioning/scaling the line.

### yaxis

> yaxis: 'yaxis', x: null, ymin: null, ymax: null, yOffset: '6px', // number or string. Number interpreted as units, string as pixels. yminOffset: null, ymaxOffset: null }

Y axis to use for positioning/scaling the line.

## DashedVerticalLine

A straight dashed vertical line.

Summary

Properties |
name | Optional name for this overlay object.
show | true to show (draw), false to not draw.
lineWidth | Width of the line.
lineCap | Type of ending placed on the line [‘round’, ‘butt’, ‘square’]
color | color of the line
shadow | wether or not to draw a shadow on the line
shadowAngle | Shadow angle in degrees
shadowOffset | Shadow offset from line in pixels
shadowDepth | Number of times shadow is stroked, each stroke offset shadowOffset from the last.
shadowAlpha | Alpha channel transparency of shadow.
xaxis | X axis to use for positioning/scaling the line.
yaxis | Y axis to use for positioning/scaling the line.
dashPattern | Array of line, space settings in pixels.

### Properties

### name

Optional name for this overlay object. Can be later used to retrieve the object by name.

### show

true to show (draw), false to not draw.

### lineWidth

Width of the line.

### lineCap

Type of ending placed on the line [‘round’, ‘butt’, ‘square’]

### color

color of the line

### shadow

wether or not to draw a shadow on the line

### shadowAngle

Shadow angle in degrees

### shadowOffset

Shadow offset from line in pixels

### shadowDepth

Number of times shadow is stroked, each stroke offset shadowOffset from the last.

### shadowAlpha

Alpha channel transparency of shadow. 0 = transparent.

### xaxis

X axis to use for positioning/scaling the line.

### yaxis

Y axis to use for positioning/scaling the line.

### dashPattern

> dashPattern: [8,8] }

Array of line, space settings in pixels. Default is 8 pixel of line, 8 pixel of space. Note, limit to a 2 element array b/c of bug with higher order arrays.

> this.objects = []

> stop: [] }

[x, y] coordinates for the end of the line.

> dashPattern: [8,8] }

Array of line, space settings in pixels.

> yaxis: 'yaxis', x: null, ymin: null, ymax: null, yOffset: '6px', // number or string. Number interpreted as units, string as pixels. yminOffset: null, ymaxOffset: null }

Y axis to use for positioning/scaling the line.

> dashPattern: [8,8] }

Array of line, space settings in pixels.
Close